CollectionFunction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class CollectionFunction

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
                              org.hibernate.hql.internal.ast.tree.MethodNode
                                  org.hibernate.hql.internal.ast.tree.CollectionFunction

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, FunctionNode, InitializeableNode, SelectExpression

    public class CollectionFunction

extends MethodNode
implements DisplayableNode

Represents 'elements()' or 'indices()'.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`CollectionFunction()`

Method Summary
`protected void` | `prepareSelectColumns(String[] selectColumns)`
`void` | `resolve(boolean inSelect)`

Methods inherited from class org.hibernate.hql.internal.ast.tree.MethodNode
`getDisplayText, getFirstArgumentType, getFromElement, getSQLFunction, initializeMethodNode, isCollectionPropertyMethod, isScalar, resolveCollectionProperty, setScalarColumnText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
`getAlias, getScalarColumnIndex, isConstructor, isReturnableEntity, setAlias, setScalarColumn`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.DisplayableNode
`getDisplayText`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.SelectExpression
`getDataType, setText`

Constructor Detail

### CollectionFunction

    public CollectionFunction()

Method Detail

### resolve

    public void resolve(boolean inSelect)
                 throws antlr.SemanticException

  Overrides:
    `resolve` in class `MethodNode`
  Throws:
    `antlr.SemanticException`

### prepareSelectColumns

    protected void prepareSelectColumns(String[] selectColumns)

  Overrides:
    `prepareSelectColumns` in class `MethodNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.